Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056865 - Review Request: libnftnl - Library for low-level interaction with nftables Netlink's API over libmnl
Summary: Review Request: libnftnl - Library for low-level interaction with nftables Ne...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Popelka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 04:46 UTC by Kevin Fenzi
Modified: 2014-01-26 00:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-26 00:36:03 UTC
jpopelka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Kevin Fenzi 2014-01-23 04:46:31 UTC
Spec URL: http://www.scrye.com/~kevin/fedora/review/libnftnl/libnftnl.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/review/libnftnl/libnftnl-0-0.6.20140122git.fc21.src.rpm
Description:
A library for low-level interaction with nftables Netlink's API over libmnl.

Fedora Account System Username: kevin

NOTES:

* This is a rename request for the existing libnftables package. Upstream has renamed. 
Orig review bug: 1036319 

* There is a 1.0.0 version, but it's got a few serious issues, so I am sticking to snapshots until the next release. 

* rpmlint says: 

libnftnl.armv7hl: W: spelling-error Summary(en_US) nftables -> notables, inflatables, tables
libnftnl.armv7hl: W: spelling-error Summary(en_US) libmnl -> limn
libnftnl.armv7hl: W: spelling-error %description -l en_US nftables -> notables, inflatables, tables
libnftnl.armv7hl: W: spelling-error %description -l en_US libmnl -> limn
libnftnl.i686: W: spelling-error Summary(en_US) nftables -> notables, inflatables, tables
libnftnl.i686: W: spelling-error Summary(en_US) libmnl -> limn
libnftnl.i686: W: spelling-error %description -l en_US nftables -> notables, inflatables, tables
libnftnl.i686: W: spelling-error %description -l en_US libmnl -> limn
libnftnl.src: W: spelling-error Summary(en_US) nftables -> notables, inflatables, tables
libnftnl.src: W: spelling-error Summary(en_US) libmnl -> limn
libnftnl.src: W: spelling-error %description -l en_US nftables -> notables, inflatables, tables
libnftnl.src: W: spelling-error %description -l en_US libmnl -> limn
libnftnl.x86_64: W: spelling-error Summary(en_US) nftables -> notables, inflatables, tables
libnftnl.x86_64: W: spelling-error Summary(en_US) libmnl -> limn
libnftnl.x86_64: W: spelling-error %description -l en_US nftables -> notables, inflatables, tables
libnftnl.x86_64: W: spelling-error %description -l en_US libmnl -> limn
libnftnl-devel.armv7hl: W: no-documentation
libnftnl-devel.i686: W: no-documentation
libnftnl-devel.x86_64: W: no-documentation
10 packages and 0 specfiles checked; 0 errors, 19 warnings.

All can be ignored, IMHO. 

* scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6442676

Comment 1 Jiri Popelka 2014-01-23 16:57:32 UTC
Because libnftables passed review (bug #1036319) recently and there's been no significant change since then I won't put a complete list of MUST & SHOULD items here. I run the srpm & spec through fedora-review and checked the spec file and I don't see anything to point out.

It also has correct Provides & Obsoletes so I consider this package APPROVED.

Comment 2 Michael Schwendt 2014-01-23 20:25:13 UTC
Obsoletes/Provides for the -devel package are missing, though, if you *really* want to be accurate.

Comment 3 Kevin Fenzi 2014-01-23 23:03:14 UTC
(In reply to Michael Schwendt from comment #2)
> Obsoletes/Provides for the -devel package are missing, though, if you
> *really* want to be accurate.

Thanks. Fixed. 

Updated spec: http://www.scrye.com/~kevin/fedora/review/libnftnl/libnftnl.spec

New Package SCM Request
=======================
Package Name: libnftnl 
Short Description: Library for low-level interaction with nftables Netlink's API over libmnl
Owners: twoerner kevin jpopelka
Branches: devel
InitialCC:

Comment 4 Gwyn Ciesla 2014-01-24 12:46:32 UTC
Git done (by process-git-requests).

Comment 5 Kevin Fenzi 2014-01-26 00:36:03 UTC
imported and built in rawhide.


Note You need to log in before you can comment on or make changes to this bug.